##########################################################################
#                                                                        #
# Configuraciones MOCK de los componentes de BBVARQSPRING                #
#                                                                        #
##########################################################################

# Propiedad Mock para configurar el uso del componente Multi Idioma
arqspring.mock.componente.multiidioma = true

# Propiedad Mock para configurar el uso del componente Servicios Nacar
arqspring.mock.componente.serviciosnacar = true

# Propiedad Mock para configurar el uso del componente Transacciones
#arqspring.mock.componente.transacciones = true
arqspring.mock.componente.transacciones = false

# Propiedad Mock para configurar el uso del componente WebSeal:
#	true: Recuperación de propiedades iv-user y iv-contrase de mock.properties
#	false: Recuperación de propiedades iv-user y iv-contrase de cabecera request
arqspring.mock.componente.webseal = true

# Propiedad Mock para configurar el uso del componente Perfilado:
#	true: Recupera propiedades de contexto de perfilado.properties
#	false: recupera propiedades de contexto de implementación de ArqSpringPerfilador. Por defecto EscritorioYQPIPT400Perfilador
arqspring.mock.componente.usoPerfilado  = true

# Propiedad Mock para configurar el uso del componente Escritorio:
#	true: Recupera propiedades de contexto de perfilado.properties
#	false: recupera propiedades de contexto de cadena JSON recibida por request.
arqspring.mock.componente.escritorio = true

# Propiedad Mock para recibir una cadena JSON con el contexto en formato acordado para los Escritorios NACAR
arqspring.mock.componente.escritorio.cadenaJson =

# Propiedades por defecto para el uso del componente de WebSeal en modo MOCK
#arqspring.mock.mockwebseal.autorizacion.iv-user       = USUARIO
#arqspring.mock.mockwebseal.autorizacion.iv-user       = CPBAS060
arqspring.mock.mockwebseal.autorizacion.iv-user       = CPBAS096
arqspring.mock.mockwebseal.autorizacion.iv-pass       =
arqspring.mock.mockwebseal.autorizacion.Authorization =
arqspring.mock.mockwebseal.autorizacion.iv-contrase   = PASSWORD
arqspring.mock.mockwebseal.autorizacion.iv-groups     =

# Propiedad Mock para configurar el uso del componente Seguridad:
# Habilita o deshabilita la autorización.
# Si false => no se activa la seguridad, con lo que no es necesario tener el fichero de autorizaciones
# Si true => la seguridad está activada, con lo que debería existir el fichero de autorizaciones
arqspring.mock.componente.seguridad  = false

# Propiedad Mock para configurar la autorización de seguridad:
#   true: Autorización URL contra fichero auariosPermisos.properties
# 	false: Autorización URL contra Servicio de perfilado por URL.
arqspring.mock.componente.autorizacion = true

# Propiedad Mock para el servicio de comunicaciones
#arqspring.mock.componente.comunicaciones = true
arqspring.mock.componente.comunicaciones = false

# Propiedad Mock para configurar el uso del componente de Mensajeria XML
arqspring.mock.componente.xml = true

# Propiedades Mock para configurar el uso del componente de LiveLink
arqspring.mock.componente.livelink = true

# Propiedades Mock para configurar el uso del componente de PAU
arqspring.mock.componente.pau = true

# Propiedad Mock para configurar el uso del componente de WebFocus
arqspring.mock.componente.webfocus = true

# Propiedad Mock para configurar el uso del componente de LDAP
arqspring.mock.componente.ldap = true

# Propiedad Mock para configurar el uso del cliente REST
arqspring.mock.componente.clienteRest = true

# Propiedad Mock para configurar el uso del servicio Business Rules
arqspring.mock.componente.businessrules = true

#####################################
##### CONFIGURACION MOCK PROXY  #####
#####################################
#Propiedad Mock para configurar el proxy de Arquitectura Spring
#   false: Mock desactivado, usamos configuracion de variables.properties (maquina)
#   true: Mock activado, usamos la configuracion mock
arqspring.mock.proxy.activado = ${VAR.MOCK.PROXY.ACTIVADO}

#Host del proxy
arqspring.mock.proxy.host = ${VAR.MOCK.PROXY.HOST}

#Puerto del proxy
arqspring.mock.proxy.port = ${VAR.MOCK.PROXY.PORT}

#Usuario para credenciales de proxy 
arqspring.mock.proxy.user = ${VAR.MOCK.PROXY.USER}

#Contrasena para credenciales de proxy
arqspring.mock.proxy.pass = ${VAR.MOCK.PROXY.PASS}


#####################################
##### CONFIGURACION MOCK GOOGLE #####
#####################################
# Propiedad Mock para configurar el email del componente de Google
#   Si no se especifica, se toma el usuario de contexto
#   email de pruebas local: arqspring.prueba@dev.bbva.com
arqspring.mock.componente.google.emailUsuario = 


